> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Top Up History Endpoint

> Get the top-up history for a tenant. Paginated.



## OpenAPI

````yaml api-reference/openapi.json get /billing/balance/top-ups
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /billing/balance/top-ups:
    get:
      tags:
        - /billing
      summary: Get Top Up History Endpoint
      description: Get the top-up history for a tenant. Paginated.
      operationId: get_top_up_history_endpoint_billing_balance_top_ups_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTopUpHistoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetTopUpHistoryResponse:
      properties:
        top_ups:
          items:
            $ref: '#/components/schemas/TopUpHistoryResponse'
          type: array
          title: Top Ups
          description: List of top-ups
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more top-ups to fetch
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: Cursor for next page
      type: object
      required:
        - top_ups
        - has_more
      title: GetTopUpHistoryResponse
      description: Response to GET /billing/free-credit request
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TopUpHistoryResponse:
      properties:
        amount:
          type: number
          title: Amount
          description: Amount of the top-up
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date when the top-up was created
        description:
          type: string
          title: Description
          description: Description of the top-up
        starting_balance:
          type: number
          title: Starting Balance
          description: Starting balance before the top-up
        ending_balance:
          type: number
          title: Ending Balance
          description: Ending balance after the top-up
      type: object
      required:
        - amount
        - created_at
        - description
        - starting_balance
        - ending_balance
      title: TopUpHistoryResponse
      description: Individual top-up entry
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````